import java.awt.*;
import java.awt.event.*;
//import java.io.IOException;
import javax.swing.*;
import java.util.*;
public class MainFrame extends JFrame{
    private PlayScreen ps;
    public MainFrame(String title){
        super();
        //The above must come first
        //Assorted declarations below
        this.setTitle(title);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setPreferredSize(new Dimension(800,600));
        //Declarations below
        ps = new PlayScreen(33);//Input is the millisecond step per frame
        add(ps);
        Driver system = new Driver(ps);
        //The below must come last
        //Like, serious
        pack();
        setVisible(true);
        system.init(30.0);//Input is the timestep for calculations in seconds
    }
}